PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::solvers::FermiNew::DataBase< GeometryT, T >::AveragedData Struct Reference
Collaboration diagram for plask::solvers::FermiNew::DataBase< GeometryT, T >::AveragedData:
[legend]

## Public Member Functions
| AveragedData (const FermiNewGainSolver< GeometryT > *solver, const char *name, const shared_ptr< const MeshAxis > &haxis, const typename FermiNewGainSolver< GeometryT >::ActiveRegionInfo &region)
size_t | size () const
double | operator[] (size_t i) const

## Public Attributes
shared_ptr< const RectangularMesh< 2 > > | mesh
LazyData< double > | data
double | factor
const FermiNewGainSolver< GeometryT > * | solver
const char * | name

## Detailed Description

template<typename GeometryT, typename T>
struct plask::solvers::FermiNew::DataBase< GeometryT, T >::AveragedData

Definition at line 689 of file ferminew.cpp.

## Constructor & Destructor Documentation

## ◆ AveragedData()

template<typename GeometryT , typename T >

plask::solvers::FermiNew::DataBase< GeometryT, T >::AveragedData::AveragedData | ( | const FermiNewGainSolver< GeometryT > * | solver,
|  | const char * | name,
|  | const shared_ptr< const MeshAxis > & | haxis,
|  | const typename FermiNewGainSolver< GeometryT >::ActiveRegionInfo & | region
| ) |  |
| inline

Definition at line 695 of file ferminew.cpp.

## Member Function Documentation

## ◆ operator[]()

template<typename GeometryT , typename T >

double plask::solvers::FermiNew::DataBase< GeometryT, T >::AveragedData::operator[] | ( | size_t | i | ) | const
| inline

Definition at line 712 of file ferminew.cpp.

## ◆ size()

template<typename GeometryT , typename T >

size_t plask::solvers::FermiNew::DataBase< GeometryT, T >::AveragedData::size | ( |  | ) | const
| inline

Definition at line 711 of file ferminew.cpp.

## Member Data Documentation

## ◆ data

template<typename GeometryT , typename T >

LazyData<double> plask::solvers::FermiNew::DataBase< GeometryT, T >::AveragedData::data

Definition at line 691 of file ferminew.cpp.

## ◆ factor

template<typename GeometryT , typename T >

double plask::solvers::FermiNew::DataBase< GeometryT, T >::AveragedData::factor

Definition at line 692 of file ferminew.cpp.

## ◆ mesh

template<typename GeometryT , typename T >

shared_ptr<const RectangularMesh<2> > plask::solvers::FermiNew::DataBase< GeometryT, T >::AveragedData::mesh

Definition at line 690 of file ferminew.cpp.

## ◆ name

template<typename GeometryT , typename T >

const char* plask::solvers::FermiNew::DataBase< GeometryT, T >::AveragedData::name

Definition at line 694 of file ferminew.cpp.

## ◆ solver

template<typename GeometryT , typename T >

const FermiNewGainSolver<GeometryT>* plask::solvers::FermiNew::DataBase< GeometryT, T >::AveragedData::solver

Definition at line 693 of file ferminew.cpp.

The documentation for this struct was generated from the following file:

- solvers/gain/wasiak/ferminew.cpp